package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试信息统计表
 * </p>
 *
 * @author wangliang
 * @since 2023-10-27
 */
@ApiModel(value = "TEExamSummary对象", description = "考试信息统计表")
public class TEExamSummary implements Serializable {
    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "考试场次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "考生总数")
    private Integer totalCount = 0;

    @ApiModelProperty(value = "候考人数")
    private Integer prepareCount = 0;

    @ApiModelProperty(value = "正在考试人数")
    private Integer examCount = 0;

    @ApiModelProperty(value = "考试完成人数")
    private Integer finishCount = 0;

    @ApiModelProperty(value = "缺考人数")
    private Integer absentCount = 0;

    @ApiModelProperty(value = "在线人数")
    private Integer onlineCount = 0;

    @ApiModelProperty(value = "离线人数")
    private Integer offlineCount = 0;

    @ApiModelProperty(value = "监控停止人数")
    private Integer monitorStopCount = 0;

    @ApiModelProperty(value = "预警总数")
    private Integer warningCount = 0;

    @ApiModelProperty(value = "预警未读数")
    private Integer warningUnread = 0;

    @ApiModelProperty(value = "陌生人脸预警总数")
    private Integer warningMultipleFaceCount = 0;

    @ApiModelProperty(value = "异常数据总数")
    private Integer exceptionCount = 0;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getPrepareCount() {
        return prepareCount;
    }

    public void setPrepareCount(Integer prepareCount) {
        this.prepareCount = prepareCount;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public Integer getOfflineCount() {
        return offlineCount;
    }

    public void setOfflineCount(Integer offlineCount) {
        this.offlineCount = offlineCount;
    }

    public Integer getMonitorStopCount() {
        return monitorStopCount;
    }

    public void setMonitorStopCount(Integer monitorStopCount) {
        this.monitorStopCount = monitorStopCount;
    }

    public Integer getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(Integer warningCount) {
        this.warningCount = warningCount;
    }

    public Integer getWarningUnread() {
        return warningUnread;
    }

    public void setWarningUnread(Integer warningUnread) {
        this.warningUnread = warningUnread;
    }

    public Integer getWarningMultipleFaceCount() {
        return warningMultipleFaceCount;
    }

    public void setWarningMultipleFaceCount(Integer warningMultipleFaceCount) {
        this.warningMultipleFaceCount = warningMultipleFaceCount;
    }

    public Integer getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(Integer exceptionCount) {
        this.exceptionCount = exceptionCount;
    }
}
